<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
get_header(); ?>

<div id="main-content" class="main-content">

<?php
	if ( is_front_page() && twentyfourteen_has_featured_posts() ) {
		// Include the featured content template.
		get_template_part( 'featured-content' );
	}
?>

	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">
 <?php echo do_shortcode('[UMO-news-special]'); ?>
 <?php query_posts('cat=-91&posts_per_page=16&paged='.$paged); ?>
		<?php
			if ( have_posts() ) :
				include('owlTopTitle.php');
				// タイトル切り詰めをしないときのタイトル部分
				$fulldiv = '<div style="width:220px;margin:10px;float:left"><div><a href="%s">%s</a></div><div style="width:200px;height:60px;overflow:hidden;"><a href="%s" class="titletip">%s</a></div></div>';
				// タイトル切り詰めをするときのタイトル部分
				$shortdiv = '<div style="width:220px;margin:10px;float:left"><div><a href="%s">%s</a></div><div style="width:200px;height:60px;overflow:hidden;"><a href="%s" class="titletip">%s<span>%s</span></a></div></div>';
				// Start the Loop.
				while ( have_posts() ) : the_post();

					/*
					 * Include the post format-specific template for the content. If you want to
					 * use this in a child theme, then include a file called called content-___.php
					 * (where ___ is the post format) and that will be used instead.
					 */
					$image = '';
					// PhotonAPI用のsrc
					$imgString = '<img src="http://i0.wp.com/%s?resize=200,200" />';
					// PhotonAPIに使うため、http://を取り除く
					$img = str_replace('http://', '', get_the_content_image()); // コンテンツからイメージを取得
					$image = sprintf($imgString, $img);

					$url = get_permalink();
					$title = get_the_title();
					if(mb_strlen($title) > 24){
						$fullTitle = $title;
						$title = mb_substr($title, 0, 23). '…';
						echo sprintf($shortdiv, $url, $image, $url, $title, $fullTitle);
					} else {
						echo sprintf($fulldiv, $url, $image, $url, $title);
					}
				endwhile;
				echo '<div style="clear:both"></div>';
				// Previous/next post navigation.
				twentyfourteen_paging_nav();

			else :
				// If no content, include the "No posts found" template.
				get_template_part( 'content', 'none' );

			endif;
		?>
		</div><!-- #content -->
	</div><!-- #primary -->
	<?php get_sidebar( 'content' ); ?>
</div><!-- #main-content -->

<?php
get_sidebar();
get_footer();
